Method: logTypeSettings.list

Full name: projects.locations.instances.logTypes.logTypeSettings.list

Lists all LogTypeSettings.

HTTP request

GET https://{endpoint}/v1/{parent}/logTypeSettings

Where {endpoint} is one of the supported service endpoints.

Path parameters

Parameters
parent

string

Required. The name of the log type Setting to list. Format: projects/{project}/locations/{location}/instances/{instance}/logTypes/-/logTypeSettings

Query parameters

Parameters
pageSize

integer

Optional. The maximum number of log type settings to return. The service may return fewer than this value.

pageToken

string

Optional. A page token, received from a previous logTypeSettings.list call. Provide this to retrieve the subsequent page.

When paginating, all other parameters provided to logTypeSettings.list must match the call that provided the page token.

Request body

The request body must be empty.

Response body

Response message for listing log type settings.

If successful, the response body contains data with the following structure:

JSON representation
{
  "logTypeSettings": [
    {
      object (LogTypeSetting)
    }
  ],
  "nextPageToken": string
}
Fields
logTypeSettings[]

object (LogTypeSetting)

The log type settings for each log type.

nextPageToken

string

A token, which can be sent as pageToken to retrieve the next page. If this field is omitted, there are no subsequent pages.

Authorization scopes

Requires one of the following OAuth scopes:

  • https://www.googleapis.com/auth/cloud-platform
  • https://www.googleapis.com/auth/chronicle
  • https://www.googleapis.com/auth/chronicle.readonly

For more information, see the Authentication Overview.

IAM Permissions

Requires the following IAM permission on the parent resource:

  • chronicle.logTypeSettings.list

For more information, see the IAM documentation.